Bug 144995 - RPM does not install with up2date
Summary: RPM does not install with up2date
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-13 15:42 UTC by Dan Hensley
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 21:00:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Hensley 2005-01-13 15:42:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The new RPMs available from up2date are broken.  Here is the message I
get:

There was a package dependency problem.  The message was:

Unresolvable chain of dependencies:
NetworkManager  0.3.3-1.cvs20050112.1.fc requires bind
NetworkManager  0.3.3-1.cvs20050112.1.fc requires caching-nameserver

Please modify your package selections and try again.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Run up2date.
2.  Select update packages.

    

Actual Results:  I get the above error message every time.

Expected Results:  It should have instlled the updates and resolved
the dependencies.

Additional info:

Comment 1 Andrew D. Stadler 2005-01-20 23:25:53 UTC
"me too" - seeing a similar error, except, I am not seeing the bind
dependency.

$ sudo up2date NetworkManager
[...]
Unresolvable chain of dependencies:
NetworkManager  0.3.3-1.cvs20050112.1.fc requires caching-nameserver
$

Curiously, bind doesn't appear to be installed here-

$ rpm -q bind
package bind is not installed
$



Comment 2 Dan Hensley 2005-01-20 23:51:55 UTC
For the time being I worked around it by installing caching-nameserver
and bind, but this isn't a good long-term fix.  The new NetworkManager
RPM introduced new dependencies that could not be resolved.

Comment 3 Dan Williams 2005-01-21 14:11:53 UTC
Well, the question is is /why/ can't they be resolved, when they
clearly exist in the FC3 repositories...

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/3/i386/bind-9.2.4-8_FC3.i386.rpm
http://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/os/Fedora/RPMS/caching-nameserver-7.3-3.noarch.rpm
http://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/os/Fedora/RPMS/bind-9.2.4-2.i386.rpm

Marking as up2date problem...

Note that I'll be pushing a slightly less-functional NetworkManager
that reverts to using 'nscd' rather than caching-nameserver+bind
today, so this should be fixed in a bit, just not "correctly".

Comment 4 Matthew Miller 2006-07-10 20:31:06 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 5 Dan Hensley 2006-07-10 20:57:17 UTC
It's been so long since I submitted this bug report, that I've upgraded my fc3
system.  So I have no idea if it's still a problem.  I'm running fc4, and I have
not run across it with this release.  I guess you can close it.

Comment 6 Matthew Miller 2006-07-10 21:00:06 UTC
Also up2date isn't used in current releases. So closing. Thanks.


Note You need to log in before you can comment on or make changes to this bug.